WinBase (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinBase

Package com.sun.jna.platform.win32

# Interface WinBase

All Superinterfaces:
  `BaseTSD`, `WinDef`

All Known Subinterfaces:
  `CoreDLL`, `Kernel32`, `User32`, `WinNT`

public interface WinBase extends WinDef, BaseTSD
Ported from Winbase.h (kernel32.dll/kernel services). Microsoft Windows SDK 6.0A.

Author:
  dblock[at]dblock.org

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `WinBase.COMMTIMEOUTS`
  Contains the time-out parameters for a communications device.
  `static interface`
  `WinBase.COMPUTER_NAME_FORMAT`
  Specifies a type of computer name to be retrieved by the GetComputerNameEx function
  `static class`
  `WinBase.DCB`
  Defines the control setting for a serial communications device.
  `static interface`
  `WinBase.EnumResNameProc`
  An application-defined callback function used with the EnumResourceNames and EnumResourceNamesEx functions.
  `static interface`
  `WinBase.EnumResTypeProc`
  An application-defined callback function used with the EnumResourceTypes and EnumResourceTypesEx functions.
  `static interface`
  `WinBase.FE_EXPORT_FUNC`
  An application-defined callback function used with ReadEncryptedFileRaw.
  `static interface`
  `WinBase.FE_IMPORT_FUNC`
  An application-defined callback function used with WriteEncryptedFileRaw.
  `static class`
  `WinBase.FILE_ATTRIBUTE_TAG_INFO`
  Receives the requested file attribute information.
  `static class`
  `WinBase.FILE_BASIC_INFO`
  Contains the basic information for a file.
  `static class`
  `WinBase.FILE_COMPRESSION_INFO`
  Receives extended information for the file.
  `static class`
  `WinBase.FILE_DISPOSITION_INFO`
  Indicates whether a file should be deleted.
  `static class`
  `WinBase.FILE_ID_INFO`
  Contains identification information for a file.
  `static class`
  `WinBase.FILE_STANDARD_INFO`
  Receives extended information for the file.
  `static class`
  `WinBase.FILETIME`
  The FILETIME structure is a 64-bit value representing the number of 100-nanosecond intervals since January 1, 1601 (UTC).
  `static class`
  `WinBase.FOREIGN_THREAD_START_ROUTINE`
  Represents a thread entry point in another process.
  `static class`
  `WinBase.MEMORYSTATUSEX`
  Contains information about the current state of both physical and virtual memory, including extended memory.
  `static class`
  `WinBase.OVERLAPPED`
  The OVERLAPPED structure contains information used in asynchronous (or overlapped) input and output (I/O).
  `static class`
  `WinBase.PROCESS_INFORMATION`
  Contains information about a newly created process and its primary thread.
  `static class`
  `WinBase.SECURITY_ATTRIBUTES`
  The SECURITY_ATTRIBUTES structure contains the security descriptor for an object and specifies whether the handle retrieved by specifying this structure is inheritable.
  `static class`
  `WinBase.STARTUPINFO`
  Specifies the window station, desktop, standard handles, and appearance of the main window for a process at creation time.
  `static class`
  `WinBase.SYSTEM_INFO`
  Contains information about the current computer system.
  `static class`
  `WinBase.SYSTEMTIME`
  Specifies a date and time, using individual members for the month, day, year, weekday, hour, minute, second, and millisecond.
  `static interface`
  `WinBase.THREAD_START_ROUTINE`
  Represents a thread entry point local to this process, as a Callback.
  `static class`
  `WinBase.TIME_ZONE_INFORMATION`
  Specifies settings for a time zone.
  `static class`
  `WinBase.WIN32_FIND_DATA`
  Contains information about the file that is found by the FindFirstFile, FindFirstFileEx, or FindNextFile function.

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.BaseTSD

  `BaseTSD.DWORD_PTR, BaseTSD.LONG_PTR, BaseTSD.SIZE_T, BaseTSD.SSIZE_T, BaseTSD.ULONG_PTR, BaseTSD.ULONG_PTRByReference`

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.WinDef

  `WinDef.ATOM, WinDef.BOOL, WinDef.BOOLByReference, WinDef.BYTE, WinDef.CHAR, WinDef.CHARByReference, WinDef.DWORD, WinDef.DWORDByReference, WinDef.DWORDLONG, WinDef.HBITMAP, WinDef.HBRUSH, WinDef.HCURSOR, WinDef.HDC, WinDef.HFONT, WinDef.HGLRC, WinDef.HGLRCByReference, WinDef.HICON, WinDef.HINSTANCE, WinDef.HKL, WinDef.HMENU, WinDef.HMODULE, WinDef.HPALETTE, WinDef.HPEN, WinDef.HRGN, WinDef.HRSRC, WinDef.HWND, WinDef.INT_PTR, WinDef.LCID, WinDef.LONG, WinDef.LONGByReference, WinDef.LONGLONG, WinDef.LONGLONGByReference, WinDef.LPARAM, WinDef.LPVOID, WinDef.LRESULT, WinDef.POINT, WinDef.PVOID, WinDef.RECT, WinDef.SCODE, WinDef.SCODEByReference, WinDef.SHORT, WinDef.UCHAR, WinDef.UINT, WinDef.UINT_PTR, WinDef.UINTByReference, WinDef.ULONG, WinDef.ULONGByReference, WinDef.ULONGLONG, WinDef.ULONGLONGByReference, WinDef.USHORT, WinDef.USHORTByReference, WinDef.WORD, WinDef.WORDByReference, WinDef.WPARAM`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CBR_110`
  110 bps.
  `static final int`
  `CBR_1200`
  1200 bps.
  `static final int`
  `CBR_128000`
  128000 bps.
  `static final int`
  `CBR_14400`
  14400 bps.
  `static final int`
  `CBR_19200`
  19200 bps.
  `static final int`
  `CBR_2400`
  2400 bps.
  `static final int`
  `CBR_256000`
  256000 bps.
  `static final int`
  `CBR_300`
  300 bps.
  `static final int`
  `CBR_38400`
  38400 bps.
  `static final int`
  `CBR_4800`
  4800 bps.
  `static final int`
  `CBR_56000`
  56000 bps.
  `static final int`
  `CBR_600`
  600 bps.
  `static final int`
  `CBR_9600`
  9600 bps.
  `static final int`
  `CREATE_BREAKAWAY_FROM_JOB`
  `static final int`
  `CREATE_DEFAULT_ERROR_MODE`
  `static final int`
  `CREATE_FOR_DIR`
  `static final int`
  `CREATE_FOR_IMPORT`
  `static final int`
  `CREATE_FORCEDOS`
  `static final int`
  `CREATE_NEW_CONSOLE`
  `static final int`
  `CREATE_NEW_PROCESS_GROUP`
  `static final int`
  `CREATE_NO_WINDOW`
  `static final int`
  `CREATE_PRESERVE_CODE_AUTHZ_LEVEL`
  `static final int`
  `CREATE_PROTECTED_PROCESS`
  `static final int`
  `CREATE_SEPARATE_WOW_VDM`
  `static final int`
  `CREATE_SHARED_WOW_VDM`
  `static final int`
  `CREATE_SUSPENDED`
  `static final int`
  `CREATE_UNICODE_ENVIRONMENT`
  `static final int`
  `DEBUG_ONLY_THIS_PROCESS`
  `static final int`
  `DEBUG_PROCESS`
  `static final int`
  `DETACHED_PROCESS`
  `static final int`
  `DRIVE_CDROM`
  The drive is a CD-ROM drive.
  `static final int`
  `DRIVE_FIXED`
  The drive is a type that cannot be removed, for example, a fixed hard drive.
  `static final int`
  `DRIVE_NO_ROOT_DIR`
  The root path is invalid, for example, no volume is mounted at the path.
  `static final int`
  `DRIVE_RAMDISK`
  The drive is a RAM disk.
  `static final int`
  `DRIVE_REMOTE`
  The drive is a remote (network) drive.
  `static final int`
  `DRIVE_REMOVABLE`
  The drive is a type that has removable media, for example, a floppy drive or removable hard disk.
  `static final int`
  `DRIVE_UNKNOWN`
  The drive type cannot be determined.
  `static final int`
  `DTR_CONTROL_DISABLE`
  Disables the DTR line when the device is opened and leaves it disabled.
  `static final int`
  `DTR_CONTROL_ENABLE`
  Enables the DTR line when the device is opened and leaves it on.
  `static final int`
  `DTR_CONTROL_HANDSHAKE`
  Enables DTR handshaking.
  If handshaking is enabled, it is an error for the application to adjust the line by using the EscapeCommFunction function.
  `static final int`
  `ES_AWAYMODE_REQUIRED`
  Enables away mode.
  `static final int`
  `ES_CONTINUOUS`
  Informs the system that the state being set should remain in effect until the next call that uses ES_CONTINUOUS and one of the other state flags is cleared.
  `static final int`
  `ES_DISPLAY_REQUIRED`
  Forces the display to be on by resetting the display idle timer.
  `static final int`
  `ES_SYSTEM_REQUIRED`
  Forces the system to be in the working state by resetting the system idle timer.
  `static final int`
  `ES_USER_PRESENT`
  This value is not supported.
  `static final int`
  `EVENPARITY`
  Even parity.
  `static final int`
  `EXTENDED_STARTUPINFO_PRESENT`
  `static final int`
  `FILE_DIR_DISALOWED`
  `static final int`
  `FILE_ENCRYPTABLE`
  `static final int`
  `FILE_IS_ENCRYPTED`
  `static final int`
  `FILE_MAP_ALL_ACCESS`
  `static final int`
  `FILE_MAP_COPY`
  `static final int`
  `FILE_MAP_EXECUTE`
  `static final int`
  `FILE_MAP_READ`
  `static final int`
  `FILE_MAP_WRITE`
  `static final int`
  `FILE_READ_ONLY`
  `static final int`
  `FILE_ROOT_DIR`
  `static final int`
  `FILE_SYSTEM_ATTR`
  `static final int`
  `FILE_SYSTEM_DIR`
  `static final int`
  `FILE_SYSTEM_NOT_SUPPORT`
  `static final int`
  `FILE_UNKNOWN`
  `static final int`
  `FILE_USER_DISALLOWED`
  `static final int`
  `FileAlignmentInfo`
  `static final int`
  `FileAllocationInfo`
  `static final int`
  `FileAttributeTagInfo`
  `static final int`
  `FileBasicInfo`
  `static final int`
  `FileCompressionInfo`
  `static final int`
  `FileDispositionInfo`
  `static final int`
  `FileEndOfFileInfo`
  `static final int`
  `FileFullDirectoryInfo`
  `static final int`
  `FileFullDirectoryRestartInfo`
  `static final int`
  `FileIdBothDirectoryInfo`
  `static final int`
  `FileIdBothDirectoryRestartInfo`
  `static final int`
  `FileIdExtdDirectoryInfo`
  `static final int`
  `FileIdExtdDirectoryRestartInfo`
  `static final int`
  `FileIdInfo`
  `static final int`
  `FileIoPriorityHintInfo`
  `static final int`
  `FileNameInfo`
  `static final int`
  `FileRemoteProtocolInfo`
  `static final int`
  `FileRenameInfo`
  `static final int`
  `FileStandardInfo`
  `static final int`
  `FileStorageInfo`
  `static final int`
  `FileStreamInfo`
  `static final int`
  `FindExInfoBasic`
  The FindFirstFileEx function does not query the short file name, improving overall enumeration speed.
  `static final int`
  `FindExInfoMaxInfoLevel`
  This value is used for validation.
  `static final int`
  `FindExInfoStandard`
  The FindFirstFileEx function retrieves a standard set of attribute information.
  `static final int`
  `FindExSearchLimitToDevices`
  This filtering type is not available.
  `static final int`
  `FindExSearchLimitToDirectories`
  This is an advisory flag.
  `static final int`
  `FindExSearchNameMatch`
  The search for a file that matches a specified file name.
  `static final int`
  `FORMAT_MESSAGE_ALLOCATE_BUFFER`
  The lpBuffer parameter is a pointer to a PVOID pointer, and that the nSize parameter specifies the minimum number of TCHARs to allocate for an output message buffer.
  `static final int`
  `FORMAT_MESSAGE_ARGUMENT_ARRAY`
  The Arguments parameter is not a va_list structure, but is a pointer to an array of values that represent the arguments.
  `static final int`
  `FORMAT_MESSAGE_FROM_HMODULE`
  The lpSource parameter is a module handle containing the message-table resource(s) to search.
  `static final int`
  `FORMAT_MESSAGE_FROM_STRING`
  The lpSource parameter is a pointer to a null-terminated message definition.
  `static final int`
  `FORMAT_MESSAGE_FROM_SYSTEM`
  The function should search the system message-table resource(s) for the requested message.
  `static final int`
  `FORMAT_MESSAGE_IGNORE_INSERTS`
  Insert sequences in the message definition are to be ignored and passed through to the output buffer unchanged.
  `static final int`
  `HANDLE_FLAG_INHERIT`
  If this flag is set, a child process created with the bInheritHandles parameter of CreateProcess set to TRUE will inherit the object handle.
  `static final int`
  `HANDLE_FLAG_PROTECT_FROM_CLOSE`
  If this flag is set, calling the `Kernel32.CloseHandle(com.sun.jna.platform.win32.WinNT.HANDLE)` function will not close the object handle.
  `static final int`
  `INFINITE`
  `static final int`
  `INHERIT_PARENT_AFFINITY`
  `static final int`
  `INVALID_FILE_ATTRIBUTES`
  `static final int`
  `INVALID_FILE_SIZE`
  `static final WinNT.HANDLE`
  `INVALID_HANDLE_VALUE`
  Constant value representing an invalid HANDLE.
  `static final int`
  `INVALID_SET_FILE_POINTER`
  `static final int`
  `LHND`
  `static final int`
  `LMEM_DISCARDABLE`
  `static final int`
  `LMEM_DISCARDED`
  `static final int`
  `LMEM_FIXED`
  `static final int`
  `LMEM_INVALID_HANDLE`
  `static final int`
  `LMEM_LOCKCOUNT`
  `static final int`
  `LMEM_MODIFY`
  `static final int`
  `LMEM_MOVEABLE`
  `static final int`
  `LMEM_NOCOMPACT`
  `static final int`
  `LMEM_NODISCARD`
  `static final int`
  `LMEM_VALID_FLAGS`
  `static final int`
  `LMEM_ZEROINIT`
  `static final int`
  `LOGON32_LOGON_BATCH`
  This logon type is intended for batch servers, where processes may be executing on behalf of a user without their direct intervention.
  `static final int`
  `LOGON32_LOGON_INTERACTIVE`
  This logon type is intended for users who will be interactively using the computer, such as a user being logged on by a terminal server, remote shell, or similar process.
  `static final int`
  `LOGON32_LOGON_NETWORK`
  This logon type is intended for high performance servers to authenticate plaintext passwords.
  `static final int`
  `LOGON32_LOGON_NETWORK_CLEARTEXT`
  This logon type preserves the name and password in the authentication package, which allows the server to make connections to other network servers while impersonating the client.
  `static final int`
  `LOGON32_LOGON_NEW_CREDENTIALS`
  This logon type allows the caller to clone its current token and specify new credentials for outbound connections.
  `static final int`
  `LOGON32_LOGON_SERVICE`
  Indicates a service-type logon.
  `static final int`
  `LOGON32_LOGON_UNLOCK`
  This logon type is for GINA DLLs that log on users who will be interactively using the computer.
  `static final int`
  `LOGON32_PROVIDER_DEFAULT`
  Use the standard logon provider for the system.
  `static final int`
  `LOGON32_PROVIDER_WINNT35`
  Use the Windows NT 3.5 logon provider.
  `static final int`
  `LOGON32_PROVIDER_WINNT40`
  Use the NTLM logon provider.
  `static final int`
  `LOGON32_PROVIDER_WINNT50`
  Use the negotiate logon provider.
  `static final int`
  `LPTR`
  `static final int`
  `MARKPARITY`
  Mark parity.
  `static final int`
  `MAX_COMPUTERNAME_LENGTH`
  Maximum computer name length.
  `static final int`
  `MOVEFILE_COPY_ALLOWED`
  If the file is to be moved to a different volume, the function simulates the move by using the CopyFile and DeleteFile functions.
  `static final int`
  `MOVEFILE_CREATE_HARDLINK`
  Reserved for future use.
  `static final int`
  `MOVEFILE_DELAY_UNTIL_REBOOT`
  The system does not move the file until the operating system is restarted.
  `static final int`
  `MOVEFILE_FAIL_IF_NOT_TRACKABLE`
  The function fails if the source file is a link source, but the file cannot be tracked after the move.
  `static final int`
  `MOVEFILE_REPLACE_EXISTING`
  If a file named lpNewFileName exists, the function replaces its contents with the contents of the lpExistingFileName file, provided that security requirements regarding access control lists (ACLs) are met.
  `static final int`
  `MOVEFILE_WRITE_THROUGH`
  The function does not return until the file is actually moved on the disk.
  `static final int`
  `MUTEX_ALL_ACCESS`
  `static final int`
  `MUTEX_MODIFY_STATE`
  `static final int`
  `NMPWAIT_NOWAIT`
  `static final int`
  `NMPWAIT_USE_DEFAULT_WAIT`
  `static final int`
  `NMPWAIT_WAIT_FOREVER`
  `static final int`
  `NOPARITY`
  No parity.
  `static final int`
  `ODDPARITY`
  Odd parity.
  `static final int`
  `ONE5STOPBITS`
  1.5 stop bits.
  `static final int`
  `ONESTOPBIT`
  1 stop bit.
  `static final int`
  `OVERWRITE_HIDDEN`
  `static final int`
  `PIPE_ACCEPT_REMOTE_CLIENTS`
  `static final int`
  `PIPE_ACCESS_DUPLEX`
  `static final int`
  `PIPE_ACCESS_INBOUND`
  `static final int`
  `PIPE_ACCESS_OUTBOUND`
  `static final int`
  `PIPE_CLIENT_END`
  `static final int`
  `PIPE_NOWAIT`
  `static final int`
  `PIPE_READMODE_BYTE`
  `static final int`
  `PIPE_READMODE_MESSAGE`
  `static final int`
  `PIPE_REJECT_REMOTE_CLIENTS`
  `static final int`
  `PIPE_SERVER_END`
  `static final int`
  `PIPE_TYPE_BYTE`
  `static final int`
  `PIPE_TYPE_MESSAGE`
  `static final int`
  `PIPE_UNLIMITED_INSTANCES`
  `static final int`
  `PIPE_WAIT`
  `static final int`
  `RTS_CONTROL_DISABLE`
  Disables the RTS line when the device is opened and leaves it disabled.
  `static final int`
  `RTS_CONTROL_ENABLE`
  Enables the RTS line when the device is opened and leaves it on.
  `static final int`
  `RTS_CONTROL_HANDSHAKE`
  Enables RTS handshaking.
  The driver raises the RTS line when the "type-ahead" (input) buffer is less than one-half full and lowers the RTS line when the buffer is more than three-quarters full.
  If handshaking is enabled, it is an error for the application to adjust the line by using the EscapeCommFunction function.
  `static final int`
  `RTS_CONTROL_TOGGLE`
  Specifies that the RTS line will be high if bytes are available for transmission.
  After all buffered bytes have been sent, the RTS line will be low.
  `static final int`
  `SPACEPARITY`
  Space parity.
  `static final int`
  `STARTF_FORCEOFFFEEDBACK`
  `static final int`
  `STARTF_FORCEONFEEDBACK`
  `static final int`
  `STARTF_RUNFULLSCREEN`
  `static final int`
  `STARTF_USECOUNTCHARS`
  `static final int`
  `STARTF_USEFILLATTRIBUTE`
  `static final int`
  `STARTF_USEPOSITION`
  `static final int`
  `STARTF_USESHOWWINDOW`
  `static final int`
  `STARTF_USESIZE`
  `static final int`
  `STARTF_USESTDHANDLES`
  `static final int`
  `STILL_ACTIVE`
  Return code for a process still active.
  `static final int`
  `TWOSTOPBITS`
  2 stop bits.
  `static final int`
  `WAIT_ABANDONED`
  `static final int`
  `WAIT_ABANDONED_0`
  `static final int`
  `WAIT_FAILED`
  `static final int`
  `WAIT_OBJECT_0`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinDef

  `MAX_PATH`

- ## Field Details

  - ### INVALID_HANDLE_VALUE

    static final WinNT.HANDLE INVALID_HANDLE_VALUE
    Constant value representing an invalid HANDLE.

  - ### WAIT_FAILED

    static final int WAIT_FAILED
    See Also:
      - Constant Field Values

  - ### WAIT_OBJECT_0

    static final int WAIT_OBJECT_0
    See Also:
      - Constant Field Values

  - ### WAIT_ABANDONED

    static final int WAIT_ABANDONED
    See Also:
      - Constant Field Values

  - ### WAIT_ABANDONED_0

    static final int WAIT_ABANDONED_0
    See Also:
      - Constant Field Values

  - ### MAX_COMPUTERNAME_LENGTH

    static final int MAX_COMPUTERNAME_LENGTH
    Maximum computer name length. The value is 15 on Mac, 31 on everything else.

  - ### LOGON32_LOGON_INTERACTIVE

    static final int LOGON32_LOGON_INTERACTIVE
    This logon type is intended for users who will be interactively using the computer, such as a user being logged on by a terminal server, remote shell, or similar process. This logon type has the additional expense of caching logon information for disconnected operations; therefore, it is inappropriate for some client/server applications, such as a mail server.
    See Also:
      - Constant Field Values

  - ### LOGON32_LOGON_NETWORK

    static final int LOGON32_LOGON_NETWORK
    This logon type is intended for high performance servers to authenticate plaintext passwords. The LogonUser function does not cache credentials for this logon type.
    See Also:
      - Constant Field Values

  - ### LOGON32_LOGON_BATCH

    static final int LOGON32_LOGON_BATCH
    This logon type is intended for batch servers, where processes may be executing on behalf of a user without their direct intervention. This type is also for higher performance servers that process many plaintext authentication attempts at a time, such as mail or Web servers. The LogonUser function does not cache credentials for this logon type.
    See Also:
      - Constant Field Values

  - ### LOGON32_LOGON_SERVICE

    static final int LOGON32_LOGON_SERVICE
    Indicates a service-type logon. The account provided must have the service privilege enabled.
    See Also:
      - Constant Field Values

  - ### LOGON32_LOGON_UNLOCK

    static final int LOGON32_LOGON_UNLOCK
    This logon type is for GINA DLLs that log on users who will be interactively using the computer. This logon type can generate a unique audit record that shows when the workstation was unlocked.
    See Also:
      - Constant Field Values

  - ### LOGON32_LOGON_NETWORK_CLEARTEXT

    static final int LOGON32_LOGON_NETWORK_CLEARTEXT
    This logon type preserves the name and password in the authentication package, which allows the server to make connections to other network servers while impersonating the client. A server can accept plaintext credentials from a client, call LogonUser, verify that the user can access the system across the network, and still communicate with other servers.
    See Also:
      - Constant Field Values

  - ### LOGON32_LOGON_NEW_CREDENTIALS

    static final int LOGON32_LOGON_NEW_CREDENTIALS
    This logon type allows the caller to clone its current token and specify new credentials for outbound connections. The new logon session has the same local identifier but uses different credentials for other network connections. This logon type is supported only by the LOGON32_PROVIDER_WINNT50 logon provider.
    See Also:
      - Constant Field Values

  - ### LOGON32_PROVIDER_DEFAULT

    static final int LOGON32_PROVIDER_DEFAULT
    Use the standard logon provider for the system. The default security provider is negotiate, unless you pass NULL for the domain name and the user name is not in UPN format. In this case, the default provider is NTLM.
    See Also:
      - Constant Field Values

  - ### LOGON32_PROVIDER_WINNT35

    static final int LOGON32_PROVIDER_WINNT35
    Use the Windows NT 3.5 logon provider.
    See Also:
      - Constant Field Values

  - ### LOGON32_PROVIDER_WINNT40

    static final int LOGON32_PROVIDER_WINNT40
    Use the NTLM logon provider.
    See Also:
      - Constant Field Values

  - ### LOGON32_PROVIDER_WINNT50

    static final int LOGON32_PROVIDER_WINNT50
    Use the negotiate logon provider.
    See Also:
      - Constant Field Values

  - ### HANDLE_FLAG_INHERIT

    static final int HANDLE_FLAG_INHERIT
    If this flag is set, a child process created with the bInheritHandles parameter of CreateProcess set to TRUE will inherit the object handle.
    See Also:
      - Constant Field Values

  - ### HANDLE_FLAG_PROTECT_FROM_CLOSE

    static final int HANDLE_FLAG_PROTECT_FROM_CLOSE
    If this flag is set, calling the `Kernel32.CloseHandle(com.sun.jna.platform.win32.WinNT.HANDLE)` function will not close the object handle.
    See Also:
      - Constant Field Values

  - ### STARTF_USESHOWWINDOW

    static final int STARTF_USESHOWWINDOW
    See Also:
      - Constant Field Values

  - ### STARTF_USESIZE

    static final int STARTF_USESIZE
    See Also:
      - Constant Field Values

  - ### STARTF_USEPOSITION

    static final int STARTF_USEPOSITION
    See Also:
      - Constant Field Values

  - ### STARTF_USECOUNTCHARS

    static final int STARTF_USECOUNTCHARS
    See Also:
      - Constant Field Values

  - ### STARTF_USEFILLATTRIBUTE

    static final int STARTF_USEFILLATTRIBUTE
    See Also:
      - Constant Field Values

  - ### STARTF_RUNFULLSCREEN

    static final int STARTF_RUNFULLSCREEN
    See Also:
      - Constant Field Values

  - ### STARTF_FORCEONFEEDBACK

    static final int STARTF_FORCEONFEEDBACK
    See Also:
      - Constant Field Values

  - ### STARTF_FORCEOFFFEEDBACK

    static final int STARTF_FORCEOFFFEEDBACK
    See Also:
      - Constant Field Values

  - ### STARTF_USESTDHANDLES

    static final int STARTF_USESTDHANDLES
    See Also:
      - Constant Field Values

  - ### DEBUG_PROCESS

    static final int DEBUG_PROCESS
    See Also:
      - Constant Field Values

  - ### DEBUG_ONLY_THIS_PROCESS

    static final int DEBUG_ONLY_THIS_PROCESS
    See Also:
      - Constant Field Values

  - ### CREATE_SUSPENDED

    static final int CREATE_SUSPENDED
    See Also:
      - Constant Field Values

  - ### DETACHED_PROCESS

    static final int DETACHED_PROCESS
    See Also:
      - Constant Field Values

  - ### CREATE_NEW_CONSOLE

    static final int CREATE_NEW_CONSOLE
    See Also:
      - Constant Field Values

  - ### CREATE_NEW_PROCESS_GROUP

    static final int CREATE_NEW_PROCESS_GROUP
    See Also:
      - Constant Field Values

  - ### CREATE_UNICODE_ENVIRONMENT

    static final int CREATE_UNICODE_ENVIRONMENT
    See Also:
      - Constant Field Values

  - ### CREATE_SEPARATE_WOW_VDM

    static final int CREATE_SEPARATE_WOW_VDM
    See Also:
      - Constant Field Values

  - ### CREATE_SHARED_WOW_VDM

    static final int CREATE_SHARED_WOW_VDM
    See Also:
      - Constant Field Values

  - ### CREATE_FORCEDOS

    static final int CREATE_FORCEDOS
    See Also:
      - Constant Field Values

  - ### INHERIT_PARENT_AFFINITY

    static final int INHERIT_PARENT_AFFINITY
    See Also:
      - Constant Field Values

  - ### CREATE_PROTECTED_PROCESS

    static final int CREATE_PROTECTED_PROCESS
    See Also:
      - Constant Field Values

  - ### EXTENDED_STARTUPINFO_PRESENT

    static final int EXTENDED_STARTUPINFO_PRESENT
    See Also:
      - Constant Field Values

  - ### CREATE_BREAKAWAY_FROM_JOB

    static final int CREATE_BREAKAWAY_FROM_JOB
    See Also:
      - Constant Field Values

  - ### CREATE_PRESERVE_CODE_AUTHZ_LEVEL

    static final int CREATE_PRESERVE_CODE_AUTHZ_LEVEL
    See Also:
      - Constant Field Values

  - ### CREATE_DEFAULT_ERROR_MODE

    static final int CREATE_DEFAULT_ERROR_MODE
    See Also:
      - Constant Field Values

  - ### CREATE_NO_WINDOW

    static final int CREATE_NO_WINDOW
    See Also:
      - Constant Field Values

  - ### FILE_ENCRYPTABLE

    static final int FILE_ENCRYPTABLE
    See Also:
      - Constant Field Values

  - ### FILE_IS_ENCRYPTED

    static final int FILE_IS_ENCRYPTED
    See Also:
      - Constant Field Values

  - ### FILE_SYSTEM_ATTR

    static final int FILE_SYSTEM_ATTR
    See Also:
      - Constant Field Values

  - ### FILE_ROOT_DIR

    static final int FILE_ROOT_DIR
    See Also:
      - Constant Field Values

  - ### FILE_SYSTEM_DIR

    static final int FILE_SYSTEM_DIR
    See Also:
      - Constant Field Values

  - ### FILE_UNKNOWN

    static final int FILE_UNKNOWN
    See Also:
      - Constant Field Values

  - ### FILE_SYSTEM_NOT_SUPPORT

    static final int FILE_SYSTEM_NOT_SUPPORT
    See Also:
      - Constant Field Values

  - ### FILE_USER_DISALLOWED

    static final int FILE_USER_DISALLOWED
    See Also:
      - Constant Field Values

  - ### FILE_READ_ONLY

    static final int FILE_READ_ONLY
    See Also:
      - Constant Field Values

  - ### FILE_DIR_DISALOWED

    static final int FILE_DIR_DISALOWED
    See Also:
      - Constant Field Values

  - ### CREATE_FOR_IMPORT

    static final int CREATE_FOR_IMPORT
    See Also:
      - Constant Field Values

  - ### CREATE_FOR_DIR

    static final int CREATE_FOR_DIR
    See Also:
      - Constant Field Values

  - ### OVERWRITE_HIDDEN

    static final int OVERWRITE_HIDDEN
    See Also:
      - Constant Field Values

  - ### INVALID_FILE_SIZE

    static final int INVALID_FILE_SIZE
    See Also:
      - Constant Field Values

  - ### INVALID_SET_FILE_POINTER

    static final int INVALID_SET_FILE_POINTER
    See Also:
      - Constant Field Values

  - ### INVALID_FILE_ATTRIBUTES

    static final int INVALID_FILE_ATTRIBUTES
    See Also:
      - Constant Field Values

  - ### STILL_ACTIVE

    static final int STILL_ACTIVE
    Return code for a process still active.
    See Also:
      - Constant Field Values

  - ### FileBasicInfo

    static final int FileBasicInfo
    See Also:
      - Constant Field Values

  - ### FileStandardInfo

    static final int FileStandardInfo
    See Also:
      - Constant Field Values

  - ### FileNameInfo

    static final int FileNameInfo
    See Also:
      - Constant Field Values

  - ### FileRenameInfo

    static final int FileRenameInfo
    See Also:
      - Constant Field Values

  - ### FileDispositionInfo

    static final int FileDispositionInfo
    See Also:
      - Constant Field Values

  - ### FileAllocationInfo

    static final int FileAllocationInfo
    See Also:
      - Constant Field Values

  - ### FileEndOfFileInfo

    static final int FileEndOfFileInfo
    See Also:
      - Constant Field Values

  - ### FileStreamInfo

    static final int FileStreamInfo
    See Also:
      - Constant Field Values

  - ### FileCompressionInfo

    static final int FileCompressionInfo
    See Also:
      - Constant Field Values

  - ### FileAttributeTagInfo

    static final int FileAttributeTagInfo
    See Also:
      - Constant Field Values

  - ### FileIdBothDirectoryInfo

    static final int FileIdBothDirectoryInfo
    See Also:
      - Constant Field Values

  - ### FileIdBothDirectoryRestartInfo

    static final int FileIdBothDirectoryRestartInfo
    See Also:
      - Constant Field Values

  - ### FileIoPriorityHintInfo

    static final int FileIoPriorityHintInfo
    See Also:
      - Constant Field Values

  - ### FileRemoteProtocolInfo

    static final int FileRemoteProtocolInfo
    See Also:
      - Constant Field Values

  - ### FileFullDirectoryInfo

    static final int FileFullDirectoryInfo
    See Also:
      - Constant Field Values

  - ### FileFullDirectoryRestartInfo

    static final int FileFullDirectoryRestartInfo
    See Also:
      - Constant Field Values

  - ### FileStorageInfo

    static final int FileStorageInfo
    See Also:
      - Constant Field Values

  - ### FileAlignmentInfo

    static final int FileAlignmentInfo
    See Also:
      - Constant Field Values

  - ### FileIdInfo

    static final int FileIdInfo
    See Also:
      - Constant Field Values

  - ### FileIdExtdDirectoryInfo

    static final int FileIdExtdDirectoryInfo
    See Also:
      - Constant Field Values

  - ### FileIdExtdDirectoryRestartInfo

    static final int FileIdExtdDirectoryRestartInfo
    See Also:
      - Constant Field Values

  - ### FILE_MAP_COPY

    static final int FILE_MAP_COPY
    See Also:
      - Constant Field Values

  - ### FILE_MAP_WRITE

    static final int FILE_MAP_WRITE
    See Also:
      - Constant Field Values

  - ### FILE_MAP_READ

    static final int FILE_MAP_READ
    See Also:
      - Constant Field Values

  - ### FILE_MAP_ALL_ACCESS

    static final int FILE_MAP_ALL_ACCESS
    See Also:
      - Constant Field Values

  - ### FILE_MAP_EXECUTE

    static final int FILE_MAP_EXECUTE
    See Also:
      - Constant Field Values

  - ### FindExInfoStandard

    static final int FindExInfoStandard
    The FindFirstFileEx function retrieves a standard set of attribute information. The data is returned in a WIN32_FIND_DATA structure.
    See Also:
      - Constant Field Values

  - ### FindExInfoBasic

    static final int FindExInfoBasic
    The FindFirstFileEx function does not query the short file name, improving overall enumeration speed. The data is returned in a WIN32_FIND_DATA structure, and the cAlternateFileName member is always a NULL string.
    See Also:
      - Constant Field Values

  - ### FindExInfoMaxInfoLevel

    static final int FindExInfoMaxInfoLevel
    This value is used for validation. Supported values are less than this value.
    See Also:
      - Constant Field Values

  - ### FindExSearchNameMatch

    static final int FindExSearchNameMatch
    The search for a file that matches a specified file name. The lpSearchFilter parameter of FindFirstFileEx must be NULL when this search operation is used.
    See Also:
      - Constant Field Values

  - ### FindExSearchLimitToDirectories

    static final int FindExSearchLimitToDirectories
    This is an advisory flag. If the file system supports directory filtering, the function searches for a file that matches the specified name and is also a directory. If the file system does not support directory filtering, this flag is silently ignored. The lpSearchFilter parameter of the FindFirstFileEx function must be NULL when this search value is used. If directory filtering is desired, this flag can be used on all file systems, but because it is an advisory flag and only affects file systems that support it, the application must examine the file attribute data stored in the lpFindFileData parameter of the FindFirstFileEx function to determine whether the function has returned a handle to a directory.
    See Also:
      - Constant Field Values

  - ### FindExSearchLimitToDevices

    static final int FindExSearchLimitToDevices
    This filtering type is not available. For more information, see Device Interface Classes.
    See Also:
      - Constant Field Values

  - ### LMEM_FIXED

    static final int LMEM_FIXED
    See Also:
      - Constant Field Values

  - ### LMEM_MOVEABLE

    static final int LMEM_MOVEABLE
    See Also:
      - Constant Field Values

  - ### LMEM_NOCOMPACT

    static final int LMEM_NOCOMPACT
    See Also:
      - Constant Field Values

  - ### LMEM_NODISCARD

    static final int LMEM_NODISCARD
    See Also:
      - Constant Field Values

  - ### LMEM_ZEROINIT

    static final int LMEM_ZEROINIT
    See Also:
      - Constant Field Values

  - ### LMEM_MODIFY

    static final int LMEM_MODIFY
    See Also:
      - Constant Field Values

  - ### LMEM_DISCARDABLE

    static final int LMEM_DISCARDABLE
    See Also:
      - Constant Field Values

  - ### LMEM_VALID_FLAGS

    static final int LMEM_VALID_FLAGS
    See Also:
      - Constant Field Values

  - ### LMEM_INVALID_HANDLE

    static final int LMEM_INVALID_HANDLE
    See Also:
      - Constant Field Values

  - ### LHND

    static final int LHND
    See Also:
      - Constant Field Values

  - ### LPTR

    static final int LPTR
    See Also:
      - Constant Field Values

  - ### LMEM_DISCARDED

    static final int LMEM_DISCARDED
    See Also:
      - Constant Field Values

  - ### LMEM_LOCKCOUNT

    static final int LMEM_LOCKCOUNT
    See Also:
      - Constant Field Values

  - ### FORMAT_MESSAGE_ALLOCATE_BUFFER

    static final int FORMAT_MESSAGE_ALLOCATE_BUFFER
    The lpBuffer parameter is a pointer to a PVOID pointer, and that the nSize parameter specifies the minimum number of TCHARs to allocate for an output message buffer. The function allocates a buffer large enough to hold the formatted message, and places a pointer to the allocated buffer at the address specified by lpBuffer. The caller should use the LocalFree function to free the buffer when it is no longer needed.
    See Also:
      - Constant Field Values

  - ### FORMAT_MESSAGE_IGNORE_INSERTS

    static final int FORMAT_MESSAGE_IGNORE_INSERTS
    Insert sequences in the message definition are to be ignored and passed through to the output buffer unchanged. This flag is useful for fetching a message for later formatting. If this flag is set, the Arguments parameter is ignored.
    See Also:
      - Constant Field Values

  - ### FORMAT_MESSAGE_FROM_STRING

    static final int FORMAT_MESSAGE_FROM_STRING
    The lpSource parameter is a pointer to a null-terminated message definition. The message definition may contain insert sequences, just as the message text in a message table resource may. Cannot be used with FORMAT_MESSAGE_FROM_HMODULE or FORMAT_MESSAGE_FROM_SYSTEM.
    See Also:
      - Constant Field Values

  - ### FORMAT_MESSAGE_FROM_HMODULE

    static final int FORMAT_MESSAGE_FROM_HMODULE
    The lpSource parameter is a module handle containing the message-table resource(s) to search. If this lpSource handle is NULL, the current process's application image file will be searched. Cannot be used with FORMAT_MESSAGE_FROM_STRING.
    See Also:
      - Constant Field Values

  - ### FORMAT_MESSAGE_FROM_SYSTEM

    static final int FORMAT_MESSAGE_FROM_SYSTEM
    The function should search the system message-table resource(s) for the requested message. If this flag is specified with FORMAT_MESSAGE_FROM_HMODULE, the function searches the system message table if the message is not found in the module specified by lpSource. Cannot be used with FORMAT_MESSAGE_FROM_STRING. If this flag is specified, an application can pass the result of the GetLastError function to retrieve the message text for a system-defined error.
    See Also:
      - Constant Field Values

  - ### FORMAT_MESSAGE_ARGUMENT_ARRAY

    static final int FORMAT_MESSAGE_ARGUMENT_ARRAY
    The Arguments parameter is not a va_list structure, but is a pointer to an array of values that represent the arguments. This flag cannot be used with 64-bit argument values. If you are using 64-bit values, you must use the va_list structure.
    See Also:
      - Constant Field Values

  - ### DRIVE_UNKNOWN

    static final int DRIVE_UNKNOWN
    The drive type cannot be determined.
    See Also:
      - Constant Field Values

  - ### DRIVE_NO_ROOT_DIR

    static final int DRIVE_NO_ROOT_DIR
    The root path is invalid, for example, no volume is mounted at the path.
    See Also:
      - Constant Field Values

  - ### DRIVE_REMOVABLE

    static final int DRIVE_REMOVABLE
    The drive is a type that has removable media, for example, a floppy drive or removable hard disk.
    See Also:
      - Constant Field Values

  - ### DRIVE_FIXED

    static final int DRIVE_FIXED
    The drive is a type that cannot be removed, for example, a fixed hard drive.
    See Also:
      - Constant Field Values

  - ### DRIVE_REMOTE

    static final int DRIVE_REMOTE
    The drive is a remote (network) drive.
    See Also:
      - Constant Field Values

  - ### DRIVE_CDROM

    static final int DRIVE_CDROM
    The drive is a CD-ROM drive.
    See Also:
      - Constant Field Values

  - ### DRIVE_RAMDISK

    static final int DRIVE_RAMDISK
    The drive is a RAM disk.
    See Also:
      - Constant Field Values

  - ### INFINITE

    static final int INFINITE
    See Also:
      - Constant Field Values

  - ### MOVEFILE_COPY_ALLOWED

    static final int MOVEFILE_COPY_ALLOWED
    If the file is to be moved to a different volume, the function simulates the move by using the CopyFile and DeleteFile functions. This value cannot be used with MOVEFILE_DELAY_UNTIL_REBOOT.
    See Also:
      - Constant Field Values

  - ### MOVEFILE_CREATE_HARDLINK

    static final int MOVEFILE_CREATE_HARDLINK
    Reserved for future use.
    See Also:
      - Constant Field Values

  - ### MOVEFILE_DELAY_UNTIL_REBOOT

    static final int MOVEFILE_DELAY_UNTIL_REBOOT
    The system does not move the file until the operating system is restarted. The system moves the file immediately after AUTOCHK is executed, but before creating any paging files. Consequently, this parameter enables the function to delete paging files from previous startups. This value can be used only if the process is in the context of a user who belongs to the administrators group or the LocalSystem account. This value cannot be used with MOVEFILE_COPY_ALLOWED. Windows Server 2003 and Windows XP: For information about special situations where this functionality can fail, and a suggested workaround solution, see Files are not exchanged when Windows Server 2003 restarts if you use the MoveFileEx function to schedule a replacement for some files in the Help and Support Knowledge Base. Windows 2000: If you specify the MOVEFILE_DELAY_UNTIL_REBOOT flag for dwFlags, you cannot also prepend the file name that is specified by lpExistingFileName with "\\?".
    See Also:
      - Constant Field Values

  - ### MOVEFILE_FAIL_IF_NOT_TRACKABLE

    static final int MOVEFILE_FAIL_IF_NOT_TRACKABLE
    The function fails if the source file is a link source, but the file cannot be tracked after the move. This situation can occur if the destination is a volume formatted with the FAT file system.
    See Also:
      - Constant Field Values

  - ### MOVEFILE_REPLACE_EXISTING

    static final int MOVEFILE_REPLACE_EXISTING
    If a file named lpNewFileName exists, the function replaces its contents with the contents of the lpExistingFileName file, provided that security requirements regarding access control lists (ACLs) are met. For more information, see the Remarks section of this topic. This value cannot be used if lpNewFileName or lpExistingFileName names a directory.
    See Also:
      - Constant Field Values

  - ### MOVEFILE_WRITE_THROUGH

    static final int MOVEFILE_WRITE_THROUGH
    The function does not return until the file is actually moved on the disk. Setting this value guarantees that a move performed as a copy and delete operation is flushed to disk before the function returns. The flush occurs at the end of the copy operation. This value has no effect if MOVEFILE_DELAY_UNTIL_REBOOT is set.
    See Also:
      - Constant Field Values

  - ### PIPE_CLIENT_END

    static final int PIPE_CLIENT_END
    See Also:
      - Constant Field Values

  - ### PIPE_SERVER_END

    static final int PIPE_SERVER_END
    See Also:
      - Constant Field Values

  - ### PIPE_ACCESS_DUPLEX

    static final int PIPE_ACCESS_DUPLEX
    See Also:
      - Constant Field Values

  - ### PIPE_ACCESS_INBOUND

    static final int PIPE_ACCESS_INBOUND
    See Also:
      - Constant Field Values

  - ### PIPE_ACCESS_OUTBOUND

    static final int PIPE_ACCESS_OUTBOUND
    See Also:
      - Constant Field Values

  - ### PIPE_TYPE_BYTE

    static final int PIPE_TYPE_BYTE
    See Also:
      - Constant Field Values

  - ### PIPE_TYPE_MESSAGE

    static final int PIPE_TYPE_MESSAGE
    See Also:
      - Constant Field Values

  - ### PIPE_READMODE_BYTE

    static final int PIPE_READMODE_BYTE
    See Also:
      - Constant Field Values

  - ### PIPE_READMODE_MESSAGE

    static final int PIPE_READMODE_MESSAGE
    See Also:
      - Constant Field Values

  - ### PIPE_WAIT

    static final int PIPE_WAIT
    See Also:
      - Constant Field Values

  - ### PIPE_NOWAIT

    static final int PIPE_NOWAIT
    See Also:
      - Constant Field Values

  - ### PIPE_ACCEPT_REMOTE_CLIENTS

    static final int PIPE_ACCEPT_REMOTE_CLIENTS
    See Also:
      - Constant Field Values

  - ### PIPE_REJECT_REMOTE_CLIENTS

    static final int PIPE_REJECT_REMOTE_CLIENTS
    See Also:
      - Constant Field Values

  - ### PIPE_UNLIMITED_INSTANCES

    static final int PIPE_UNLIMITED_INSTANCES
    See Also:
      - Constant Field Values

  - ### NMPWAIT_USE_DEFAULT_WAIT

    static final int NMPWAIT_USE_DEFAULT_WAIT
    See Also:
      - Constant Field Values

  - ### NMPWAIT_NOWAIT

    static final int NMPWAIT_NOWAIT
    See Also:
      - Constant Field Values

  - ### NMPWAIT_WAIT_FOREVER

    static final int NMPWAIT_WAIT_FOREVER
    See Also:
      - Constant Field Values

  - ### NOPARITY

    static final int NOPARITY
    No parity.
    See Also:
      - Constant Field Values

  - ### ODDPARITY

    static final int ODDPARITY
    Odd parity.
    See Also:
      - Constant Field Values

  - ### EVENPARITY

    static final int EVENPARITY
    Even parity.
    See Also:
      - Constant Field Values

  - ### MARKPARITY

    static final int MARKPARITY
    Mark parity.
    See Also:
      - Constant Field Values

  - ### SPACEPARITY

    static final int SPACEPARITY
    Space parity.
    See Also:
      - Constant Field Values

  - ### ONESTOPBIT

    static final int ONESTOPBIT
    1 stop bit.
    See Also:
      - Constant Field Values

  - ### ONE5STOPBITS

    static final int ONE5STOPBITS
    1.5 stop bits.
    See Also:
      - Constant Field Values

  - ### TWOSTOPBITS

    static final int TWOSTOPBITS
    2 stop bits.
    See Also:
      - Constant Field Values

  - ### CBR_110

    static final int CBR_110
    110 bps.
    See Also:
      - Constant Field Values

  - ### CBR_300

    static final int CBR_300
    300 bps.
    See Also:
      - Constant Field Values

  - ### CBR_600

    static final int CBR_600
    600 bps.
    See Also:
      - Constant Field Values

  - ### CBR_1200

    static final int CBR_1200
    1200 bps.
    See Also:
      - Constant Field Values

  - ### CBR_2400

    static final int CBR_2400
    2400 bps.
    See Also:
      - Constant Field Values

  - ### CBR_4800

    static final int CBR_4800
    4800 bps.
    See Also:
      - Constant Field Values

  - ### CBR_9600

    static final int CBR_9600
    9600 bps.
    See Also:
      - Constant Field Values

  - ### CBR_14400

    static final int CBR_14400
    14400 bps.
    See Also:
      - Constant Field Values

  - ### CBR_19200

    static final int CBR_19200
    19200 bps.
    See Also:
      - Constant Field Values

  - ### CBR_38400

    static final int CBR_38400
    38400 bps.
    See Also:
      - Constant Field Values

  - ### CBR_56000

    static final int CBR_56000
    56000 bps.
    See Also:
      - Constant Field Values

  - ### CBR_128000

    static final int CBR_128000
    128000 bps.
    See Also:
      - Constant Field Values

  - ### CBR_256000

    static final int CBR_256000
    256000 bps.
    See Also:
      - Constant Field Values

  - ### DTR_CONTROL_DISABLE

    static final int DTR_CONTROL_DISABLE
    Disables the DTR line when the device is opened and leaves it disabled.
    See Also:
      - Constant Field Values

  - ### DTR_CONTROL_ENABLE

    static final int DTR_CONTROL_ENABLE
    Enables the DTR line when the device is opened and leaves it on.
    See Also:
      - Constant Field Values

  - ### DTR_CONTROL_HANDSHAKE

    static final int DTR_CONTROL_HANDSHAKE
    Enables DTR handshaking.
    If handshaking is enabled, it is an error for the application to adjust the line by using the EscapeCommFunction function.
    See Also:
      - Constant Field Values

  - ### RTS_CONTROL_DISABLE

    static final int RTS_CONTROL_DISABLE
    Disables the RTS line when the device is opened and leaves it disabled.
    See Also:
      - Constant Field Values

  - ### RTS_CONTROL_ENABLE

    static final int RTS_CONTROL_ENABLE
    Enables the RTS line when the device is opened and leaves it on.
    See Also:
      - Constant Field Values

  - ### RTS_CONTROL_HANDSHAKE

    static final int RTS_CONTROL_HANDSHAKE
    Enables RTS handshaking.
    The driver raises the RTS line when the "type-ahead" (input) buffer is less than one-half full and lowers the RTS line when the buffer is more than three-quarters full.
    If handshaking is enabled, it is an error for the application to adjust the line by using the EscapeCommFunction function.
    See Also:
      - Constant Field Values

  - ### RTS_CONTROL_TOGGLE

    static final int RTS_CONTROL_TOGGLE
    Specifies that the RTS line will be high if bytes are available for transmission.
    After all buffered bytes have been sent, the RTS line will be low.
    See Also:
      - Constant Field Values

  - ### ES_AWAYMODE_REQUIRED

    static final int ES_AWAYMODE_REQUIRED
    Enables away mode. This value must be specified with `ES_CONTINUOUS`. Away mode should be used only by media-recording and media-distribution applications that must perform critical background processing on desktop computers while the computer appears to be sleeping. See Remarks.
    See Also:
      - Constant Field Values

  - ### ES_CONTINUOUS

    static final int ES_CONTINUOUS
    Informs the system that the state being set should remain in effect until the next call that uses ES_CONTINUOUS and one of the other state flags is cleared.
    See Also:
      - Constant Field Values

  - ### ES_DISPLAY_REQUIRED

    static final int ES_DISPLAY_REQUIRED
    Forces the display to be on by resetting the display idle timer.
    See Also:
      - Constant Field Values

  - ### ES_SYSTEM_REQUIRED

    static final int ES_SYSTEM_REQUIRED
    Forces the system to be in the working state by resetting the system idle timer.
    See Also:
      - Constant Field Values

  - ### ES_USER_PRESENT

    static final int ES_USER_PRESENT
    This value is not supported. If ES_USER_PRESENT is combined with other esFlags values, the call will fail and none of the specified states will be set.
    See Also:
      - Constant Field Values

  - ### MUTEX_MODIFY_STATE

    static final int MUTEX_MODIFY_STATE
    See Also:
      - Constant Field Values

  - ### MUTEX_ALL_ACCESS

    static final int MUTEX_ALL_ACCESS
    See Also:
      - Constant Field Values